Bug 217142 - mail/mailscanner: update to 5.03-7
Summary: mail/mailscanner: update to 5.03-7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 14:55 UTC by Piotr Kubaj
Modified: 2017-07-28 16:39 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kkobb)


Attachments
patch (69.68 KB, patch)
2017-02-16 14:55 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-02-16 14:55:22 UTC
Created attachment 180047 [details]
patch

This patch makes many changes in the port.
1) Add many recommended Perl modules to dependencies,
2) Remove DOCS option (there are no docs now),
3) s/MailScanner/${PORTNAME}/g
4) remove post-extract, simplify post-patch,
5) simplify do-install - use COPYTREE_SHARE, COPYTREE_BIN,
6) since there are no Sophos binaries, remove the Sophos.install.freebsd file,
7) remove unneccessary patch-lib_clamav-wrapper,
8) sample files are not present in the tarball - remove pkg-deinstall.in.

Builds fine on Poudriere on 10.3-RELEASE.
Comment 1 commit-hook freebsd_committer 2017-06-10 23:12:30 UTC
A commit references this bug:

Author: wen
Date: Sat Jun 10 23:12:20 UTC 2017
New revision: 443125
URL: https://svnweb.freebsd.org/changeset/ports/443125

Log:
  - Update to 5.0.3
  - Add many recommended Perl modules to dependencies
  - Remove DOCS option (there are no docs now)
  - Since there are no Sophos binaries, remove the Sophos.install.freebsd file
  - Simplify do-install - use COPYTREE_SHARE, COPYTREE_BIN

  PR:		217142
  Submitted by:	pkubaj@anongoth.pl
  Approved by:	maintainer(timeout, > 100 days)

Changes:
  head/mail/mailscanner/Makefile
  head/mail/mailscanner/distinfo
  head/mail/mailscanner/files/Sophos.install.freebsd
  head/mail/mailscanner/files/patch-lib_clamav-wrapper
  head/mail/mailscanner/files/pkg-deinstall.in
  head/mail/mailscanner/files/pkg-message.in
  head/mail/mailscanner/pkg-plist
Comment 2 Chris Rees freebsd_committer 2017-07-28 14:06:29 UTC
This now causes a serious problem where on uninstall the entire configuration is wiped out.

I've no idea how to fix this without a warning somehow.  I've marked it IGNORE for now until I can figure out a way to fix it and warn people in advance.
Comment 3 commit-hook freebsd_committer 2017-07-28 14:06:30 UTC
A commit references this bug:

Author: crees
Date: Fri Jul 28 14:05:58 UTC 2017
New revision: 446834
URL: https://svnweb.freebsd.org/changeset/ports/446834

Log:
  Serious issue on deinstall, disable until fixed.

  PR:		ports/217142

Changes:
  head/mail/mailscanner/Makefile
Comment 4 Piotr Kubaj freebsd_committer 2017-07-28 14:53:23 UTC
(In reply to commit-hook from comment #3)
Could you look at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=219938 ?
Comment 5 Chris Rees freebsd_committer 2017-07-28 16:29:07 UTC
I've fixed it with my own work this afternoon, mostly reverting the changes.  If you're going to make changes like this, please ensure that you actually test run the port as well as build it.

I've not got time to merge your fixes in, sorry, but if you want them put in then feel free to send the patch to me and I'll review (I maintained the port before Kevin).

Cheers!

Chris
Comment 6 commit-hook freebsd_committer 2017-07-28 16:39:31 UTC
A commit references this bug:

Author: crees
Date: Fri Jul 28 16:39:23 UTC 2017
New revision: 446838
URL: https://svnweb.freebsd.org/changeset/ports/446838

Log:
  Partially revert the previous update.

  No longer clobber user's configuration.

  Fixup most pathnames, works for me now (tm)

  PR:		ports/217142
  PR:		ports/219938
  PR:		ports/219990

Changes:
  head/mail/mailscanner/Makefile
  head/mail/mailscanner/distinfo
  head/mail/mailscanner/pkg-plist